%define		rpm_macros_rev	1.697
%define		find_lang_rev	1.36
Summary:	PLD Linux RPM build macros
Summary(pl.UTF-8):	Makra do budowania pakietów RPM dla Linuksa PLD
Name:		rpm-build-macros
Version:	%{rpm_macros_rev}
Release:	1
License:	GPL
Group:		Development/Building
Source0:	rpm.macros
Source1:	service_generator.sh
Source3:	find-lang.sh
Source4:	dokuwiki-find-lang.sh
Patch0:		disable-systemd.patch
#Patchx: %{name}-pydebuginfo.patch
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	sed >= 4.0
Requires:	findutils >= 1:4.2.26
Provides:	rpmbuild(find_lang) = %{find_lang_rev}
Provides:	rpmbuild(macros) = %{rpm_macros_rev}
Obsoletes:	rpm-macros
# rm: option `--interactive' doesn't allow an argument
Conflicts:	coreutils < 6.9
Conflicts:	gettext-devel < 0.11
# tmpdir/_tmppath macros problems; optcppflags missing
Conflicts:	rpm < 4.4.9-72
# php-config --sysconfdir
Conflicts:	php-devel < 4:5.2.0-3
Conflicts:	php4-devel < 3:4.4.4-10
# sysconfig module with proper 'purelib' path
Conflicts:	python3 < 1:3.2.1-3
%if "%{pld_release}" != "ac"
# libtool --install
Conflicts:	libtool < 2:2.2
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# redefine to bootstrap
%define		_usrlibrpm %{_prefix}/lib/rpm

%description
This package contains rpm build macros for PLD Linux.

%description -l pl.UTF-8
Ten pakiet zawiera makra rpm-a do budowania pakietów dla Linuksa PLD.

%prep
%setup -qcT
cp -p %{SOURCE0} .
cp -p %{SOURCE1} .

%if "%{pld_release}" == "ac"
%{__sed} -i -e '/libtoolize --copy --force --install/s/ --install//' rpm.macros
%patch0 -p1
%endif

%build
%{__sed} -i -e 's,{Revision},%{rpm_macros_rev},' rpm.macros

rev=$(awk '/^%%rpm_build_macros/{print $2}' rpm.macros)
if [ "$rev" != "%rpm_macros_rev" ]; then
	: Update rpm_macros_rev define to $rev, and retry
	exit 1
fi
rev=$(awk -F= '/^VERSION/{print $2}' %{SOURCE3})
if [ "$rev" != "%find_lang_rev" ]; then
	: Update find_lang_rev define to $rev, and retry
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_usrlibrpm}
cp -a rpm.macros $RPM_BUILD_ROOT%{_usrlibrpm}/macros.build
install -p service_generator.sh $RPM_BUILD_ROOT%{_usrlibrpm}
install -p %{SOURCE3} $RPM_BUILD_ROOT%{_usrlibrpm}/find-lang.sh
install -p %{SOURCE4} $RPM_BUILD_ROOT%{_usrlibrpm}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_usrlibrpm}/macros.build
%attr(755,root,root) %{_usrlibrpm}/service_generator.sh
%attr(755,root,root) %{_usrlibrpm}/find-lang.sh
%attr(755,root,root) %{_usrlibrpm}/dokuwiki-find-lang.sh
%changelog
* Sat Nov 01 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rpm-build-macros.git;a=log;h=master

* Sat Nov 01 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 8579c48
- 1.697; use new %_make_opts in make call; to be overrided with custom flags

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> d7df078
- 1.696 add %ruby_abi macro

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> ff7766e
- 1.695: ruby 2.0 compatible macros

* Fri Jul 11 2014 Elan Ruusamäe <glen@delfi.ee> 4b369e1
- __noauto_regexp_helper: detect quote char at runtime

* Mon Jun 02 2014 Elan Ruusamäe <glen@delfi.ee> 55edeb4
- disable deprecated %ruby_ver_requires_eq, %ruby_mod_ver_requires_eq

* Sun Jun 01 2014 Elan Ruusamäe <glen@delfi.ee> 47647aa
- 1.694: ruby-2.0 packaging fixes

* Sat May 31 2014 Elan Ruusamäe <glen@delfi.ee> 5af2fd8
- %ruby_gemdir: use value from Gem itself, 1.9/2.0 compatible packaging

* Fri May 30 2014 Elan Ruusamäe <glen@delfi.ee> eb5ba8b
- ruby: add %__ruby_rbconfig to simplify other ruby macros

* Mon May 26 2014 Elan Ruusamäe <glen@delfi.ee> 6d2f17f
- add version info for py.postclean (added in f12c2314)

* Mon May 26 2014 Elan Ruusamäe <glen@delfi.ee> 93ecebe
- add version info for py.postclean -x

* Thu May 08 2014 Elan Ruusamäe <glen@delfi.ee> b89253d
- r1.693: dokuwiki lang: add hu-formal

* Thu May 01 2014 Elan Ruusamäe <glen@delfi.ee> af9d1e6
- 1.692: fix ruby_ridir not to use deprecated CONFIG (removed in 2.0)

* Sun Mar 02 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 6dc7026
- 1.691: add %udev_hwdb_update responsible for updating hardware database index

* Sun Mar 02 2014 Elan Ruusamäe <glen@delfi.ee> dc4639b
- upstart_post: do nothing if not under upstart supervision

* Sun Mar 02 2014 Elan Ruusamäe <glen@delfi.ee> cefd17a
- upstart macros: multiline safety fixes

* Sat Feb 22 2014 Jacek Konieczny <jajcus@jajcus.net> dd64e42
- Actually use the %{_clean_env} in %build and %install

* Thu Feb 20 2014 Jan Rękorajski <baggins@pld-linux.org> 2164c68
- 1.687
- split old/compatibility kernel_modules_{build,install} macros for
  -(non)dist kernel into _compat() macros to avoid "Macro expansion too
  big for target buffer" errors

* Wed Jan 29 2014 Elan Ruusamäe <glen@delfi.ee> f30df01
- 1.686: %{__php} macro is always versioned to ensure we need just %{php_name}-cli to get the binary

* Tue Jan 28 2014 Elan Ruusamäe <glen@delfi.ee> 210174e
- 1.685: add nrpe.d support to %nagios_nrpe macro

* Mon Jan 27 2014 Jakub Bogusz <qboosh@pld-linux.org> b6ce5bb
- 1.684: sanitized cmake macro by removing 3 of 4 non-standard parameters (with exhaustive comment)

